<meta charset="utf-8" />
<title>ryzom demo</title>
<script src="https://unpkg.com/vue"></script>
<script src="https://ryci.stage.vendale.net/webcomponents/header/ryzom-header.js"></script>
<script src="https://ryci.stage.vendale.net/webcomponents/footer/ryzom-footer.js"></script>

<style>
    body {
        margin: 0;
        padding: 0;
    }

    #app {
        min-height: 100vh;
        display: flex;
        flex-direction: column;
    }

    #content {
        flex: 1 1 auto;
    }

    header {
        position: sticky;
        top: 0;
        z-index: 9000;
    }
</style>

<body>
    <div id="app">
        <header>
            <ryzom-header id="theHeader" enable-languages menu-bullets='[{"to": "/forums", "label":"Forums"},{"to": "/wiki", "label":"wiki"}]' home-location="/home"></ryzom-header>

            <script>
              document.getElementById("theHeader").addEventListener('change-lang', (event) => {
                console.log(event);
                alert(event.detail);
              })
            </script>
        </header>

        <div id="content">
            Lorem ipsum...
        </div>

        <footer>
            <ryzom-footer tos-link="/terms-of-service" privacy-link="/privacy-policy"></ryzom-footer>
        </footer>
    </div>
</body>
